#ifndef CORE_TESTS_H
#define CORE_TESTS_H

#include "Test.h"

void coreTestBitArray(void);
void coreTestBox(void);
void coreTestBuffer(bool light);
void coreTestColor(void);
void coreTestComponents(void);
void coreTestFileReader(void);
void coreTestFrustum(void);
void coreTestHashMap(bool light);
void coreTestLinkedList(bool light);
void coreTestList(bool light);
void coreTestMatrixStack(bool light);
void coreTestMatrix(void);
void coreTestPlane(void);
void coreTestQuaternion(void);
void coreTestRandom(bool light);
void coreTestRingBuffer(void);
void coreTestStack(bool light);
void coreTestThread(void);
void coreTestUtility(bool light);
void coreTestInvalidAllocate(void);
void coreTestInvalidReallocate(void);
void coreTestPreCanary(void);
void coreTestPostCanary(void);
void coreTestVector(void);
void coreTestView(void);

#endif
